package com.gic.haoban.manage.service.pojo.bo.chat;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanGroupChatHm
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:30:48
 * @Modify
 * @CopyRight 
 */
public class GroupChatHmBO implements Serializable{

	private static final long serialVersionUID = 21518878229500L;
	
	private Long chatHmId;
	private String chatHmCode;
	private String wxEnterpriseId;
	private String enterpriseId;
	private String name;
	private String remark;
	/**0-否；1-是*/
	private Integer autoCreateRoom;
	/**自动建群的群起始序号*/
	private Integer roomBaseId;
	/**自动建群的群名前缀*/
	private String roomBaseName;
	private String wxConfigId;
	private String wxQrCode;
	private String creatorId;
	private String creatorName;
	private String modifierId;
	private String modifierName;
	private Integer deleteFlag;
	private java.util.Date createTime;
	private java.util.Date updateTime;
	/**关联群数量*/
	private Integer chatCount;
	/**已关联链接数*/
	private Integer linkCount;
    // 1有效 2作废 3待生效
    private Integer statusFlag ;
    // 可以群数
    private Integer usableChatCount;
    
	public Integer getUsableChatCount() {
        return usableChatCount;
    }

    public void setUsableChatCount(Integer usableChatCount) {
        this.usableChatCount = usableChatCount;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public void setChatHmId(Long chatHmId){
		this.chatHmId = chatHmId;
	}
	
	public Long getChatHmId(){
		return chatHmId;
	}
	public void setChatHmCode(String chatHmCode){
		this.chatHmCode = chatHmCode;
	}
	
	public String getChatHmCode(){
		return chatHmCode;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setEnterpriseId(String enterpriseId){
		this.enterpriseId = enterpriseId;
	}
	
	public String getEnterpriseId(){
		return enterpriseId;
	}
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return name;
	}
	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return remark;
	}
	public void setAutoCreateRoom(Integer autoCreateRoom){
		this.autoCreateRoom = autoCreateRoom;
	}
	
	public Integer getAutoCreateRoom(){
		return autoCreateRoom;
	}
	public void setRoomBaseId(Integer roomBaseId){
		this.roomBaseId = roomBaseId;
	}
	
	public Integer getRoomBaseId(){
		return roomBaseId;
	}
	public void setRoomBaseName(String roomBaseName){
		this.roomBaseName = roomBaseName;
	}
	
	public String getRoomBaseName(){
		return roomBaseName;
	}
	public void setWxConfigId(String wxConfigId){
		this.wxConfigId = wxConfigId;
	}
	
	public String getWxConfigId(){
		return wxConfigId;
	}
	public void setWxQrCode(String wxQrCode){
		this.wxQrCode = wxQrCode;
	}
	
	public String getWxQrCode(){
		return wxQrCode;
	}
	public void setCreatorId(String creatorId){
		this.creatorId = creatorId;
	}
	
	public String getCreatorId(){
		return creatorId;
	}
	public void setCreatorName(String creatorName){
		this.creatorName = creatorName;
	}
	
	public String getCreatorName(){
		return creatorName;
	}
	public void setModifierId(String modifierId){
		this.modifierId = modifierId;
	}
	
	public String getModifierId(){
		return modifierId;
	}
	public void setModifierName(String modifierName){
		this.modifierName = modifierName;
	}
	
	public String getModifierName(){
		return modifierName;
	}
	public void setDeleteFlag(Integer deleteFlag){
		this.deleteFlag = deleteFlag;
	}
	
	public Integer getDeleteFlag(){
		return deleteFlag;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
	public void setChatCount(Integer chatCount){
		this.chatCount = chatCount;
	}
	
	public Integer getChatCount(){
		return chatCount;
	}
	public void setLinkCount(Integer linkCount){
		this.linkCount = linkCount;
	}
	
	public Integer getLinkCount(){
		return linkCount;
	}
}